Bug 434560 - ocamljava - Libraries and programs for interfacing OCaml and Java/JVM
Summary: ocamljava - Libraries and programs for interfacing OCaml and Java/JVM
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml   
(Show other bugs)
Version: 13
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL: http://ocamljava.x9c.fr/
Whiteboard:
Keywords:
Depends On: 253564
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-22 18:49 UTC by Richard W.M. Jones
Modified: 2011-06-27 13:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:56:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2008-02-22 18:49:19 UTC
This is a tracking bug for the status of ocamljava in Fedora.

http://ocamljava.x9c.fr/

So far I've written a spec file which builds Barista, Cafesterol (ocamljava),
Cadmium, and which passes most of the rpmlint tests.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-ocamljava.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-ocamljava-1.0_alpha-1.fc9.src.rpm

Description:
The goal of the OCaml-Java project is to allow seamless integration of
Objective Caml and Java. Objective Caml is a very good language but it
sometimes lacks the library for a given task. On the other hand, Java
is a weaker language but benefits from a tremendous community, and
this manpower is able to deliver libraries for almost any task.

It would thus be useful to be able to write a program in Objective
Caml that use some Java libraries. This is the goal of the OCaml-Java
project. In its current release (1.0-alpha), the project provides a
new Objective Caml compiler ocamljava that is the Java counterpart of
ocamlc/ocamlopt.

Although still alpha, the project already exhibits good compatibility
with the original implementation: all language constructs are
supported, the standard library is fully supported (even marshalling,
lexing, and parsing), and among other libraries only labltk is
unsupported (this means that bigarray, dbm, dynlink, graph, num, str,
unix, as well as threads are supported).  ocamljava is even able to
build a working ocamlc.jar file that is the Java-compiled version of
the ocamlc compiler.

Subprojects of OCaml-Java are:

* the Barista project (Java class file manipulation);
* the Cadmium project (runtime support, implementation of primitives);
* the Cafesterol project (ocamljava compiler);
* the Nickel project (Java/Objective Caml bridge generator);
* the OCamlScripting project (scripting engine for Java).

Comment 2 Richard W.M. Jones 2008-03-17 23:08:04 UTC
This is for ocamljava 1.0-beta:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-ocamljava.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-ocamljava-1.0_beta-2.fc9.src.rpm

Comment 3 Bug Zapper 2008-05-14 05:35:00 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Richard W.M. Jones 2008-05-14 21:13:26 UTC
Moved back to Rawhide.

Comment 5 Richard W.M. Jones 2008-05-27 09:11:20 UTC
There is a new upstream release, 1.0:

http://ocamljava.x9c.fr/


Comment 6 Bug Zapper 2008-11-26 02:07:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-11-18 12:26:08 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-03-15 11:57:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Admin XMLRPC Client 2010-11-16 18:27:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Bug Zapper 2011-06-02 18:35:35 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2011-06-27 13:56:55 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.